uuid: ab288b9b-1f3c-455a-9fbd-dfb7fb604e2d
langcode: en
status: true
dependencies:
  module:
    - drutopia_collection
id: config_sync.module.drutopia_collection
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_collection
items:
  -
    collection: ''
    name: core.entity_form_display.node.collection.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.collection.body
          - field.field.node.collection.field_authors
          - field.field.node.collection.field_body_paragraph
          - field.field.node.collection.field_collection_items
          - field.field.node.collection.field_collection_type
          - field.field.node.collection.field_image
          - field.field.node.collection.field_meta_tags
          - field.field.node.collection.field_summary
          - field.field.node.collection.field_tags
          - field.field.node.collection.field_topics
          - image.style.thumbnail
          - node.type.collection
        module:
          - image
          - metatag
          - paragraphs
          - path
          - text
      id: node.collection.default
      targetEntityType: node
      bundle: collection
      mode: default
      content:
        created:
          type: datetime_timestamp
          weight: 13
          region: content
          settings: {  }
          third_party_settings: {  }
        field_authors:
          weight: 2
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          type: entity_reference_autocomplete
          region: content
        field_body_paragraph:
          type: entity_reference_paragraphs
          weight: 6
          region: content
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: dropdown
            form_display_mode: default
            default_paragraph_type: _none
          third_party_settings: {  }
        field_collection_items:
          weight: 5
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          type: entity_reference_autocomplete
          region: content
        field_collection_type:
          weight: 1
          settings: {  }
          third_party_settings: {  }
          type: options_select
          region: content
        field_image:
          weight: 3
          settings:
            progress_indicator: throbber
            preview_image_style: thumbnail
          third_party_settings: {  }
          type: image_image
          region: content
        field_meta_tags:
          weight: 10
          settings: {  }
          third_party_settings: {  }
          type: metatag_firehose
          region: content
        field_summary:
          weight: 4
          settings:
            rows: 5
            placeholder: ''
          third_party_settings: {  }
          type: text_textarea
          region: content
        field_tags:
          weight: 8
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          type: entity_reference_autocomplete
          region: content
        field_topics:
          weight: 7
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          type: entity_reference_autocomplete
          region: content
        path:
          type: path
          weight: 11
          region: content
          settings: {  }
          third_party_settings: {  }
        promote:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 15
          region: content
          third_party_settings: {  }
        status:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 16
          region: content
          third_party_settings: {  }
        sticky:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 14
          region: content
          third_party_settings: {  }
        title:
          type: string_textfield
          weight: 0
          region: content
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
        uid:
          type: entity_reference_autocomplete
          weight: 9
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          region: content
          third_party_settings: {  }
        url_redirects:
          weight: 12
          region: content
          settings: {  }
          third_party_settings: {  }
      hidden:
        body: true
      _core:
        default_config_hash: nQ_UEFVKl51O_tJ1AN9LAH0VhuJTgpKOszmSUZjYygc
  -
    collection: ''
    name: core.entity_form_display.paragraph.drutopia_collection.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.paragraph.drutopia_collection.field_items
          - paragraphs.paragraphs_type.drutopia_collection
      id: paragraph.drutopia_collection.default
      targetEntityType: paragraph
      bundle: drutopia_collection
      mode: default
      content:
        field_items:
          weight: 0
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          type: entity_reference_autocomplete
          region: content
      hidden:
        created: true
        status: true
      _core:
        default_config_hash: _1hZ95TGb11kRSt9dhg0nFE2VsiWz58W7YnNBRFKIO8
  -
    collection: ''
    name: core.entity_view_display.node.collection.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.collection.body
          - field.field.node.collection.field_authors
          - field.field.node.collection.field_body_paragraph
          - field.field.node.collection.field_collection_items
          - field.field.node.collection.field_collection_type
          - field.field.node.collection.field_image
          - field.field.node.collection.field_meta_tags
          - field.field.node.collection.field_summary
          - field.field.node.collection.field_tags
          - field.field.node.collection.field_topics
          - node.type.collection
        module:
          - ds
          - image
          - metatag
          - text
          - user
      id: node.collection.default
      targetEntityType: node
      bundle: collection
      mode: default
      content:
        body:
          label: hidden
          type: text_default
          weight: 2
          settings: {  }
          third_party_settings: {  }
          region: content
        field_authors:
          weight: 5
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: content
        field_collection_items:
          weight: 6
          label: hidden
          settings:
            view_mode: teaser
            link: false
          third_party_settings:
            ds:
              ds_limit: ''
          type: entity_reference_entity_view
          region: content
        field_collection_type:
          weight: 9
          label: above
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: content
        field_image:
          weight: 3
          label: hidden
          settings:
            image_style: ''
            image_link: ''
          third_party_settings: {  }
          type: image
          region: content
        field_meta_tags:
          weight: 4
          label: hidden
          settings: {  }
          third_party_settings: {  }
          type: metatag_empty_formatter
          region: content
        field_summary:
          weight: 1
          label: hidden
          settings: {  }
          third_party_settings: {  }
          type: text_default
          region: content
        field_tags:
          weight: 8
          label: above
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: content
        field_topics:
          weight: 7
          label: above
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: content
        links:
          weight: 0
          region: content
          settings: {  }
          third_party_settings: {  }
      hidden:
        field_body_paragraph: true
        search_api_excerpt: true
      _core:
        default_config_hash: wVi9ZiHfMvJ_gpdc2gUELVYpZVl3lVvKT9vS_3R9MVk
  -
    collection: ''
    name: core.entity_view_display.node.collection.full
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.full
          - field.field.node.collection.body
          - field.field.node.collection.field_authors
          - field.field.node.collection.field_body_paragraph
          - field.field.node.collection.field_collection_items
          - field.field.node.collection.field_collection_type
          - field.field.node.collection.field_image
          - field.field.node.collection.field_meta_tags
          - field.field.node.collection.field_summary
          - field.field.node.collection.field_tags
          - field.field.node.collection.field_topics
          - node.type.collection
        module:
          - ds
          - image
          - paragraphs
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_2col_stacked
            library: ds/ds_2col_stacked
            disable_css: true
            entity_classes: all_classes
            settings:
              wrappers:
                header: div
                left: div
                right: div
                footer: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            header:
              - field_image
            left:
              - node_post_date
              - field_authors
              - field_collection_type
              - field_body_paragraph
              - field_topics
              - field_tags
            right:
              - field_summary
              - field_collection_items
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 1
              label: hidden
              formatter: ds_post_date_month_day_year
      id: node.collection.full
      targetEntityType: node
      bundle: collection
      mode: full
      content:
        field_authors:
          weight: 2
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: left
        field_body_paragraph:
          type: paragraph_summary
          weight: 4
          region: left
          label: hidden
          settings: {  }
          third_party_settings: {  }
        field_collection_items:
          weight: 8
          label: hidden
          settings:
            view_mode: teaser
            link: false
          third_party_settings:
            ds:
              ds_limit: ''
          type: entity_reference_entity_view
          region: right
        field_collection_type:
          type: entity_reference_label
          weight: 3
          region: left
          label: hidden
          settings:
            link: false
          third_party_settings: {  }
        field_image:
          weight: 0
          label: hidden
          settings:
            image_style: ''
            image_link: ''
          third_party_settings: {  }
          type: image
          region: header
        field_summary:
          weight: 7
          label: hidden
          settings: {  }
          third_party_settings: {  }
          type: text_default
          region: right
        field_tags:
          type: entity_reference_label
          weight: 6
          region: left
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
        field_topics:
          type: entity_reference_label
          weight: 5
          region: left
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        field_meta_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: u9hFi5GI6LLnFCyw2M7JDw0SSDmlT2tpCHBVDYoBO7g
  -
    collection: ''
    name: core.entity_view_display.node.collection.teaser
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.teaser
          - field.field.node.collection.body
          - field.field.node.collection.field_authors
          - field.field.node.collection.field_body_paragraph
          - field.field.node.collection.field_collection_items
          - field.field.node.collection.field_collection_type
          - field.field.node.collection.field_image
          - field.field.node.collection.field_meta_tags
          - field.field.node.collection.field_summary
          - field.field.node.collection.field_tags
          - field.field.node.collection.field_topics
          - node.type.collection
        module:
          - text
          - user
      id: node.collection.teaser
      targetEntityType: node
      bundle: collection
      mode: teaser
      content:
        body:
          label: hidden
          type: text_summary_or_trimmed
          weight: 101
          settings:
            trim_length: 600
          third_party_settings: {  }
          region: content
        links:
          weight: 100
          settings: {  }
          third_party_settings: {  }
          region: content
      hidden:
        field_authors: true
        field_body_paragraph: true
        field_collection_items: true
        field_collection_type: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        search_api_excerpt: true
      _core:
        default_config_hash: UOzCi2kjYaqcRKtMRkEhE6_Asdw7kUZCrcbT6o2frwU
  -
    collection: ''
    name: core.entity_view_display.paragraph.drutopia_collection.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.paragraph.drutopia_collection.field_items
          - paragraphs.paragraphs_type.drutopia_collection
      id: paragraph.drutopia_collection.default
      targetEntityType: paragraph
      bundle: drutopia_collection
      mode: default
      content:
        field_items:
          weight: 0
          label: above
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: content
      hidden:
        search_api_excerpt: true
      _core:
        default_config_hash: 3EjlY1iURckfqQFhAWC_mtd1guLuILhh2IlwrzRhzYI
  -
    collection: ''
    name: field.field.node.collection.body
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.body
          - node.type.collection
        module:
          - text
      id: node.collection.body
      field_name: body
      entity_type: node
      bundle: collection
      label: Body
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        display_summary: true
      field_type: text_with_summary
      _core:
        default_config_hash: WqgDhaPELkw6JGhrh7TfT43wKws4fg45OgEkunye7ss
  -
    collection: ''
    name: field.field.node.collection.field_authors
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_authors
          - node.type.collection
          - node.type.people
      id: node.collection.field_authors
      field_name: field_authors
      entity_type: node
      bundle: collection
      label: Authors
      description: 'Optionally attribute this collection to one or more of the <em>People</em> with profiles on the site.'
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:node'
        handler_settings:
          target_bundles:
            people: people
          sort:
            field: title
            direction: ASC
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: OrTTW4_ECRhwCEGANjteWeZi18YWtx-oqSJtjtsnQfM
  -
    collection: ''
    name: field.field.node.collection.field_body_paragraph
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_body_paragraph
          - node.type.collection
          - paragraphs.paragraphs_type.drutopia_collection
          - paragraphs.paragraphs_type.image
          - paragraphs.paragraphs_type.text
        module:
          - entity_reference_revisions
      id: node.collection.field_body_paragraph
      field_name: field_body_paragraph
      entity_type: node
      bundle: collection
      label: 'Body paragraph'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          negate: 0
          target_bundles:
            drutopia_collection: drutopia_collection
            image: image
            text: text
          target_bundles_drag_drop:
            drutopia_collection:
              enabled: true
              weight: 9
            faq:
              weight: 10
              enabled: false
            file:
              weight: 11
              enabled: false
            image:
              enabled: true
              weight: 12
            slide:
              weight: 13
              enabled: false
            text:
              enabled: true
              weight: 14
            update:
              weight: 15
              enabled: false
            video:
              weight: 16
              enabled: false
      field_type: entity_reference_revisions
      _core:
        default_config_hash: gfZqYddYFY8po0Ek3xn59IJhLaQq9iVMUXKRzrhYMOU
  -
    collection: ''
    name: field.field.node.collection.field_collection_items
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_collection_items
          - node.type.collection
      id: node.collection.field_collection_items
      field_name: field_collection_items
      entity_type: node
      bundle: collection
      label: Items
      description: 'Select any other content on the site to display as a list of teasers by typing words from the title and looking for the autocompletion of the content you want in the collection.  You can change the order after adding each item.'
      required: true
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: views
        handler_settings:
          view:
            view_name: collection_select_content
            display_name: entity_reference
            arguments: {  }
      field_type: entity_reference
      _core:
        default_config_hash: 6X5yj9boH7NtcRbeF2H7cXLeNdjCfZY9ReiufRdXuXc
  -
    collection: ''
    name: field.field.node.collection.field_collection_type
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_collection_type
          - node.type.collection
          - taxonomy.vocabulary.collection_type
      id: node.collection.field_collection_type
      field_name: field_collection_type
      entity_type: node
      bundle: collection
      label: 'Collection type'
      description: ''
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            collection_type: collection_type
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: kC3_rOUozrdfvnh-qzpCz7MoI8HoyP1J6OM8cOKdKec
  -
    collection: ''
    name: field.field.node.collection.field_image
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_image
          - node.type.collection
        module:
          - image
      id: node.collection.field_image
      field_name: field_image
      entity_type: node
      bundle: collection
      label: Image
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        file_directory: '[date:custom:Y]-[date:custom:m]'
        file_extensions: 'png gif jpg jpeg'
        max_filesize: ''
        max_resolution: ''
        min_resolution: ''
        alt_field: true
        alt_field_required: true
        title_field: false
        title_field_required: false
        default_image:
          uuid: ''
          alt: ''
          title: ''
          width: null
          height: null
        handler: 'default:file'
        handler_settings: {  }
      field_type: image
      _core:
        default_config_hash: zBDVKqvoMMh7BWNgskjQQbHyTDLFE8r96x1qWGUX7Zw
  -
    collection: ''
    name: field.field.node.collection.field_meta_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_meta_tags
          - node.type.collection
        module:
          - metatag
      id: node.collection.field_meta_tags
      field_name: field_meta_tags
      entity_type: node
      bundle: collection
      label: 'Meta tags'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: metatag
      _core:
        default_config_hash: s5m_9i4ysGOa4EWQLPM8uXAthSHK1wub2Fvl69J6H88
  -
    collection: ''
    name: field.field.node.collection.field_summary
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_summary
          - node.type.collection
        module:
          - text
      id: node.collection.field_summary
      field_name: field_summary
      entity_type: node
      bundle: collection
      label: Summary
      description: 'Use this space to introduce your collection with a short description. This summary is <em>also> displayed on teasers, such as those shown in search results. '
      required: true
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: text_long
      _core:
        default_config_hash: 4VgNv6j__Zkf6FRVk20T510x6SpcboFHU5NtFipdQyc
  -
    collection: ''
    name: field.field.node.collection.field_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - node.type.collection
          - taxonomy.vocabulary.tags
      id: node.collection.field_tags
      field_name: field_tags
      entity_type: node
      bundle: collection
      label: Tags
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            tags: tags
          sort:
            field: name
            direction: asc
          auto_create: true
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: rXf2ywn1NcjYQ8T6KyCPzRJ6Ajvk8fNa7BwM4uDdg1I
  -
    collection: ''
    name: field.field.node.collection.field_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_topics
          - node.type.collection
          - taxonomy.vocabulary.topics
      id: node.collection.field_topics
      field_name: field_topics
      entity_type: node
      bundle: collection
      label: Topics
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            topics: topics
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: Pg-JRInG6Nx2HfzJT2lKOaq4x1Y4ZFE5SZM9dFzeGlg
  -
    collection: ''
    name: field.field.paragraph.drutopia_collection.field_items
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.paragraph.field_items
          - node.type.article
          - node.type.blog
          - node.type.people
          - paragraphs.paragraphs_type.drutopia_collection
      id: paragraph.drutopia_collection.field_items
      field_name: field_items
      entity_type: paragraph
      bundle: drutopia_collection
      label: Items
      description: 'Select any other content on the site to display as a list of teasers by typing words from the title and looking for the autocompletion of the content you want in the collection. You can change the order after adding each item.'
      required: true
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:node'
        handler_settings:
          target_bundles:
            article: article
            blog: blog
            people: people
          sort:
            field: changed
            direction: DESC
          auto_create: false
          auto_create_bundle: article
      field_type: entity_reference
      _core:
        default_config_hash: 7DUUXZdsPh4mDm9mhYlDJz3claVAxXookJakBJhDocs
  -
    collection: ''
    name: field.storage.node.field_collection_items
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node.field_collection_items
      field_name: field_collection_items
      entity_type: node
      type: entity_reference
      settings:
        target_type: node
      module: core
      locked: false
      cardinality: -1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
      _core:
        default_config_hash: psnh1gqgVQvkgOeMy2UPZCmTlRAkEBYuBOi6jZGOvUc
  -
    collection: ''
    name: field.storage.node.field_collection_type
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
          - taxonomy
      id: node.field_collection_type
      field_name: field_collection_type
      entity_type: node
      type: entity_reference
      settings:
        target_type: taxonomy_term
      module: core
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
      _core:
        default_config_hash: RLkCTg6QDZQdy0j5eduNhF5sSLCi-dqmfp8o_JZAkA0
  -
    collection: ''
    name: field.storage.paragraph.field_items
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
          - paragraphs
      id: paragraph.field_items
      field_name: field_items
      entity_type: paragraph
      type: entity_reference
      settings:
        target_type: node
      module: core
      locked: false
      cardinality: -1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
      _core:
        default_config_hash: VnnPidg22ez5r9ylXvzs766yDC5mVWjS__wyXmq1yvU
  -
    collection: ''
    name: node.type.collection
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - menu_ui
      third_party_settings:
        menu_ui:
          available_menus:
            - main
          parent: 'main:'
      name: Collection
      type: collection
      description: 'Create a <em>collection</em> to bring together ordered listings of Articles, Blog posts, or other content.  This is useful for magazine issues or online books (referencing each chapter) or to create a meta-resource of recommended resources and people.'
      help: ''
      new_revision: true
      preview_mode: 1
      display_submitted: false
      _core:
        default_config_hash: stQdgWbQWDAjVwOeuvG1Ye8uI8OiGwWQ4sinbQPW2lI
  -
    collection: ''
    name: paragraphs.paragraphs_type.drutopia_collection
    data:
      langcode: en
      status: true
      dependencies: {  }
      id: drutopia_collection
      label: Collection
      icon_uuid: null
      description: 'Allows grouping referenced content together.  For instance, an Issue collection could use collection paragraphs to group articles into three themes within that issue.'
      behavior_plugins: {  }
      _core:
        default_config_hash: xJxbh5L6gM8EZzAr1kp2OBNKKhv_5OE9anEo_btj2cA
  -
    collection: ''
    name: pathauto.pattern.collection_type
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - ctools
          - taxonomy
      id: collection_type
      label: 'Collection type'
      type: 'canonical_entities:taxonomy_term'
      pattern: '[term:vocabulary]/[term:name]'
      selection_criteria:
        4706378a-3a02-48d7-8672-d8313e9c20f3:
          id: 'entity_bundle:taxonomy_term'
          bundles:
            article_type: collection_type
          negate: false
          context_mapping:
            taxonomy_term: taxonomy_term
          uuid: 4706378a-3a02-48d7-8672-d8313e9c20f3
      selection_logic: and
      weight: -5
      relationships: {  }
      _core:
        default_config_hash: 8ybgXD47lBYtq3zDwOhbr_pdGHwEQdDfLeUvvnBam5A
  -
    collection: ''
    name: pathauto.pattern.node_collection
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node_collection
      label: 'Node collection'
      type: 'canonical_entities:node'
      pattern: 'collections/[node:title]'
      selection_criteria:
        7e8d81ea-6e4f-4fee-a1ad-6f1621656038:
          id: 'entity_bundle:node'
          bundles:
            article: collection
          negate: false
          context_mapping:
            node: node
          uuid: 7e8d81ea-6e4f-4fee-a1ad-6f1621656038
      selection_logic: and
      weight: -5
      relationships: {  }
      _core:
        default_config_hash: ofYqGwKW2yCiN6Z7YvvlFH4XrjfWFRTzDLmpKsnyoF4
  -
    collection: ''
    name: search_api.index.collection
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
          - user
          - search_api
        config:
          - field.storage.node.field_authors
          - field.storage.node.field_collection_type
          - field.storage.node.field_summary
          - field.storage.node.field_tags
          - field.storage.node.field_topics
          - search_api.server.database
          - core.entity_view_mode.node.search_index
      id: collection
      name: Collection
      description: 'An index for the collection content type.'
      read_only: false
      field_settings:
        changed:
          label: Changed
          datasource_id: 'entity:node'
          property_path: changed
          type: date
          dependencies:
            module:
              - node
        created:
          label: 'Authored on'
          datasource_id: 'entity:node'
          property_path: created
          type: date
          dependencies:
            module:
              - node
        field_authors:
          label: Authors
          datasource_id: 'entity:node'
          property_path: field_authors
          type: integer
          dependencies:
            config:
              - field.storage.node.field_authors
        field_collection_type:
          label: 'Collection type'
          datasource_id: 'entity:node'
          property_path: field_collection_type
          type: integer
          dependencies:
            config:
              - field.storage.node.field_collection_type
        field_summary:
          label: Summary
          datasource_id: 'entity:node'
          property_path: field_summary
          type: text
          dependencies:
            config:
              - field.storage.node.field_summary
        field_tags:
          label: Tags
          datasource_id: 'entity:node'
          property_path: field_tags
          type: integer
          dependencies:
            config:
              - field.storage.node.field_tags
        field_topics:
          label: Topics
          datasource_id: 'entity:node'
          property_path: field_topics
          type: integer
          dependencies:
            config:
              - field.storage.node.field_topics
        name:
          label: 'Authored by » User » Name'
          datasource_id: 'entity:node'
          property_path: 'uid:entity:name'
          type: string
          dependencies:
            module:
              - node
              - user
              - user
        promote:
          label: 'Promoted to front page'
          datasource_id: 'entity:node'
          property_path: promote
          type: boolean
          dependencies:
            module:
              - node
        rendered_item:
          label: 'Rendered HTML output'
          property_path: rendered_item
          type: text
          configuration:
            roles:
              anonymous: anonymous
            view_mode:
              'entity:node':
                collection: search_index
        status:
          label: Published
          datasource_id: 'entity:node'
          property_path: status
          type: boolean
          dependencies:
            module:
              - node
        sticky:
          label: 'Sticky at top of lists'
          datasource_id: 'entity:node'
          property_path: sticky
          type: boolean
          dependencies:
            module:
              - node
        title:
          label: Title
          datasource_id: 'entity:node'
          property_path: title
          type: string
          dependencies:
            module:
              - node
        uid:
          label: 'Authored by'
          datasource_id: 'entity:node'
          property_path: uid
          type: integer
          dependencies:
            module:
              - node
      datasource_settings:
        'entity:node':
          bundles:
            default: false
            selected:
              - collection
          languages:
            default: true
            selected: {  }
      processor_settings:
        add_url: {  }
        aggregated_field: {  }
        rendered_item: {  }
      tracker_settings:
        default:
          indexing_order: fifo
      options:
        index_directly: true
        cron_limit: 50
      server: database
      _core:
        default_config_hash: _QVCLp7W8HxV52MEnKkYc2bX5i3NFf4ejVOfuTApG9g
  -
    collection: ''
    name: taxonomy.vocabulary.collection_type
    data:
      langcode: en
      status: true
      dependencies: {  }
      name: 'Collection type'
      vid: collection_type
      description: 'For categorizing collections on aspects unique to collections.'
      weight: 0
      _core:
        default_config_hash: NRvgGmvJBASvwlaRtyOhK0ur-e-b02hS5hSe89iTTrc
  -
    collection: ''
    name: views.view.collection
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.collection
          - system.menu.main
        module:
          - search_api
          - user
      id: collection
      label: Collection
      module: views
      description: 'Various displays for the collection content type.'
      tag: ''
      base_table: search_api_index_collection
      base_field: search_api_id
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access content'
            cache:
              type: none
              options: {  }
            query:
              type: views_query
              options:
                bypass_access: false
                skip_access: false
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 12
                offset: 0
                id: 0
                total_pages: null
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
                tags:
                  previous: ‹‹
                  next: ››
            style:
              type: default
              options:
                row_class: ''
                default_row_class: false
                uses_fields: false
            row:
              type: search_api
              options:
                view_modes:
                  'entity:node':
                    collection: card
            fields:
              rendered_item:
                table: search_api_index_collection
                field: rendered_item
                id: rendered_item
                entity_type: null
                entity_field: null
                plugin_id: search_api
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                link_to_item: false
                use_highlighting: false
                multi_type: separator
                multi_separator: ', '
            filters: {  }
            sorts:
              sticky:
                id: sticky
                table: search_api_index_collection
                field: sticky
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
              created:
                id: created
                table: search_api_index_collection
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
            title: Collections
            header: {  }
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
        block_promoted:
          display_plugin: block
          id: block_promoted
          display_title: 'Block Promoted'
          position: 2
          display_options:
            display_extenders: {  }
            title: Latest
            defaults:
              title: false
              style: true
              row: true
              pager: false
              link_display: false
              link_url: false
            pager:
              type: some
              options:
                items_per_page: 4
                offset: 0
            display_description: ''
            block_description: 'Promoted collections'
            link_display: page_1
            link_url: ''
            block_hide_empty: true
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - user.permissions
            tags: {  }
        page_listing:
          display_plugin: page
          id: page_listing
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: collections
            menu:
              type: normal
              title: News
              description: 'Keep up to date.'
              expanded: false
              parent: 'menu_link_content:3f594be0-bb0f-4b30-923e-e7984983a0fd'
              weight: 0
              context: '0'
              menu_name: main
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
      _core:
        default_config_hash: f8uoIe_CmLkBA5LAlknvx3pT4QCs26VgjFam0s8Wz68
  -
    collection: ''
    name: views.view.collection_select_content
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_summary
        module:
          - node
          - text
          - user
      id: collection_select_content
      label: 'Select content'
      module: views
      description: 'Choose items to include in a Collection.'
      tag: ''
      base_table: node_field_data
      base_field: nid
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access content'
            cache:
              type: tag
              options: {  }
            query:
              type: views_query
              options:
                disable_sql_rewrite: false
                distinct: false
                replica: false
                query_comment: ''
                query_tags: {  }
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 10
                offset: 0
                id: 0
                total_pages: null
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
                tags:
                  previous: ‹‹
                  next: ››
            style:
              type: default
              options:
                grouping: {  }
                row_class: ''
                default_row_class: true
                uses_fields: false
            row:
              type: fields
              options:
                inline: {  }
                separator: ''
                hide_empty: false
                default_field_elements: true
            fields:
              title:
                id: title
                table: node_field_data
                field: title
                entity_type: node
                entity_field: title
                label: ''
                alter:
                  alter_text: false
                  make_link: false
                  absolute: false
                  trim: false
                  word_boundary: false
                  ellipsis: false
                  strip_tags: false
                  html: false
                hide_empty: false
                empty_zero: false
                settings:
                  link_to_entity: true
                plugin_id: field
                relationship: none
                group_type: group
                admin_label: ''
                exclude: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_alter_empty: true
                click_sort_column: value
                type: string
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
              type:
                id: type
                table: node_field_data
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: kbd
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: false
                element_wrapper_type: '0'
                element_wrapper_class: ''
                element_default_classes: false
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: target_id
                type: entity_reference_label
                settings:
                  link: false
                group_column: target_id
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: node
                entity_field: type
                plugin_id: field
              status:
                id: status
                table: node_field_data
                field: status
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: em
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: false
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: false
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: boolean
                settings:
                  format: custom
                  format_custom_true: ''
                  format_custom_false: Unpublished
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: node
                entity_field: status
                plugin_id: field
              field_summary:
                id: field_summary
                table: node__field_summary
                field: field_summary
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: article
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: false
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: false
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: text_default
                settings: {  }
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                plugin_id: field
            filters:
              status:
                value: '1'
                table: node_field_data
                field: status
                plugin_id: boolean
                entity_type: node
                entity_field: status
                id: status
                expose:
                  operator: ''
                group: 1
            sorts:
              created:
                id: created
                table: node_field_data
                field: created
                order: DESC
                entity_type: node
                entity_field: created
                plugin_id: date
                relationship: none
                group_type: group
                admin_label: ''
                exposed: false
                expose:
                  label: ''
                granularity: second
            header: {  }
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url.query_args
              - 'user.node_grants:view'
              - user.permissions
            tags:
              - 'config:field.storage.node.field_summary'
        entity_reference:
          display_plugin: entity_reference
          id: entity_reference
          display_title: 'Entity Reference'
          position: 1
          display_options:
            display_extenders: {  }
            style:
              type: entity_reference
              options:
                search_fields:
                  title: title
                  type: type
                  field_summary: field_summary
                  status: '0'
            row:
              type: entity_reference
              options:
                default_field_elements: true
                inline:
                  title: title
                  type: type
                  status: status
                separator: ' · '
                hide_empty: true
            pager:
              type: some
              options:
                items_per_page: 20
                offset: 0
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - 'user.node_grants:view'
              - user.permissions
            tags:
              - 'config:field.storage.node.field_summary'
      _core:
        default_config_hash: v-S3QqIVn35UujN6yge8GibCgD3sPt76Ef-IyBL6zDU
